# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	vlock
#	vlock/files
#	vlock/files/patch-Makefile
#	vlock/files/patch-config.mk
#	vlock/Makefile
#	vlock/distinfo
#	vlock/pkg-descr
#
echo c - vlock
mkdir -p vlock > /dev/null 2>&1
echo c - vlock/files
mkdir -p vlock/files > /dev/null 2>&1
echo x - vlock/files/patch-Makefile
sed 's/^X//' >vlock/files/patch-Makefile << 'END-of-vlock/files/patch-Makefile'
X--- Makefile.orig	2007-09-08 20:04:25.000000000 +0200
X+++ Makefile	2008-03-15 11:04:38.067938121 +0100
X@@ -62,19 +62,23 @@
X 
X .PHONY: install-programs
X install-programs: $(PROGRAMS)
X-	$(INSTALL) -D -m 755 -o root -g $(ROOT_GROUP) vlock $(DESTDIR)$(PREFIX)/bin/vlock
X-	$(INSTALL) -D -m 4711 -o root -g $(ROOT_GROUP) vlock-current $(DESTDIR)$(PREFIX)/sbin/vlock-current
X-	$(INSTALL) -D -m 755 -o root -g $(ROOT_GROUP) vlock-all $(DESTDIR)$(PREFIX)/sbin/vlock-all
X-	$(INSTALL) -D -m $(VLOCK_MODE) -o root -g $(VLOCK_GROUP) vlock-nosysrq $(DESTDIR)$(PREFIX)/sbin/vlock-nosysrq
X-	$(INSTALL) -D -m $(VLOCK_MODE) -o root -g $(VLOCK_GROUP) vlock-new $(DESTDIR)$(PREFIX)/sbin/vlock-new
X+	$(INSTALL) -d $(PREFIX)/bin
X+	$(INSTALL) -m 755 -o root -g $(ROOT_GROUP) vlock $(PREFIX)/bin/vlock
X+	$(INSTALL) -d $(PREFIX)/sbin
X+	$(INSTALL) -m 4711 -o root -g $(ROOT_GROUP) vlock-current $(PREFIX)/sbin/vlock-current
X+	$(INSTALL) -m 755 -o root -g $(ROOT_GROUP) vlock-all $(PREFIX)/sbin/vlock-all
X+	$(INSTALL) -m $(VLOCK_MODE) -o root -g $(VLOCK_GROUP) vlock-nosysrq $(PREFIX)/sbin/vlock-nosysrq
X+	$(INSTALL) -m $(VLOCK_MODE) -o root -g $(VLOCK_GROUP) vlock-new $(PREFIX)/sbin/vlock-new
X 
X .PHONY: install-man
X install-man:
X-	$(INSTALL) -D -m 644 -o root -g $(ROOT_GROUP) man/vlock.1 $(DESTDIR)$(PREFIX)/share/man/man1/vlock.1
X-	$(INSTALL) -D -m 644 -o root -g $(ROOT_GROUP) man/vlock-current.8 $(DESTDIR)$(PREFIX)/share/man/man8/vlock-current.8
X-	$(INSTALL) -D -m 644 -o root -g $(ROOT_GROUP) man/vlock-all.8 $(DESTDIR)$(PREFIX)/share/man/man8/vlock-all.8
X-	$(INSTALL) -D -m 644 -o root -g $(ROOT_GROUP) man/vlock-new.8 $(DESTDIR)$(PREFIX)/share/man/man8/vlock-new.8
X-	$(INSTALL) -D -m 644 -o root -g $(ROOT_GROUP) man/vlock-nosysrq.8 $(DESTDIR)$(PREFIX)/share/man/man8/vlock-nosysrq.8
X+	$(INSTALL) -d $(MANPREFIX)/man/man1
X+	$(INSTALL) -m 644 -o root -g $(ROOT_GROUP) man/vlock.1 $(MANPREFIX)/man/man1/vlock.1
X+	$(INSTALL) -d $(MANPREFIX)/man/man8
X+	$(INSTALL) -m 644 -o root -g $(ROOT_GROUP) man/vlock-current.8 $(MANPREFIX)/man/man8/vlock-current.8
X+	$(INSTALL) -m 644 -o root -g $(ROOT_GROUP) man/vlock-all.8 $(MANPREFIX)/man/man8/vlock-all.8
X+	$(INSTALL) -m 644 -o root -g $(ROOT_GROUP) man/vlock-new.8 $(MANPREFIX)/man/man8/vlock-new.8
X+	$(INSTALL) -m 644 -o root -g $(ROOT_GROUP) man/vlock-nosysrq.8 $(MANPREFIX)/man/man8/vlock-nosysrq.8
X 
X .PHONY: clean
X clean:
END-of-vlock/files/patch-Makefile
echo x - vlock/files/patch-config.mk
sed 's/^X//' >vlock/files/patch-config.mk << 'END-of-vlock/files/patch-config.mk'
X--- config.mk.orig	2007-09-08 20:04:25.000000000 +0200
X+++ config.mk	2008-03-15 10:57:43.866012457 +0100
X@@ -9,18 +9,13 @@
X 
X # group to install vlock-all and vlock-nosysrq as
X # defaults to 'root')
X-VLOCK_GROUP =
X+VLOCK_GROUP = wheel
X # mode to install vlock-all and vlock-nosysrq as
X # defaults to 4711 if group is unset and 4710 otherwise
X VLOCK_MODE =
X 
X # root's group
X-ROOT_GROUP = root
X-
X-# installation prefix
X-PREFIX = /usr/local
X-# installation root
X-DESTDIR =
X+ROOT_GROUP = wheel
X 
X # c compiler
X CC = gcc
X@@ -30,7 +25,7 @@
X LDFLAGS = 
X 
X # linker flags needed for pam
X-PAM_LIBS = -ldl -lpam
X+PAM_LIBS = -lpam
X 
X # gnu install
X INSTALL = install
END-of-vlock/files/patch-config.mk
echo x - vlock/Makefile
sed 's/^X//' >vlock/Makefile << 'END-of-vlock/Makefile'
X# New ports collection makefile for:	vlock
X# Date created:		08 Oct 2000
X# Whom:			George Reid <services@nevernet.net>
X#
X# $FreeBSD: ports/security/vlock/Makefile,v 1.5 2004/02/05 20:37:48 trevor Exp $
X#
X
XPORTNAME=		vlock
XPORTVERSION=	2.1
XCATEGORIES=		security
XMASTER_SITES=	http://cthulhu.c3d2.de/~toidinamai/vlock/archive/
X
XMAINTAINER=		ganael.laplanche@martymac.com
XCOMMENT=		Locks a terminal
X
XUSE_GMAKE=		yes
X
XMANLANG=		""
XMAN1=			vlock.1
XMAN8=			vlock-current.8 vlock-all.8 vlock-new.8 vlock-nosysrq.8
XPLIST_FILES=	bin/vlock sbin/vlock-current sbin/vlock-all sbin/vlock-nosysrq sbin/vlock-new
X
X.include <bsd.port.mk>
END-of-vlock/Makefile
echo x - vlock/distinfo
sed 's/^X//' >vlock/distinfo << 'END-of-vlock/distinfo'
XMD5 (vlock-2.1.tar.gz) = a365a8fdde9379417ef2adc1c1230c4d
XSHA256 (vlock-2.1.tar.gz) = 9d733ab0d8643ca71ee2c8bb22e8bc97a3d87b4f48582999d009855df402bace
XSIZE (vlock-2.1.tar.gz) = 21045
END-of-vlock/distinfo
echo x - vlock/pkg-descr
sed 's/^X//' >vlock/pkg-descr << 'END-of-vlock/pkg-descr'
XThis is a utility which locks a terminal so it can only be unlocked with the
Xuser's password (or the root password).  It uses PAM authentication by default.
X
XWWW: http://freshmeat.net/projects/vlock
END-of-vlock/pkg-descr
exit

